./net/p5-Net-OpenID-Consumer, Perl library for consumers of OpenID identities

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.18nb1, Package name: p5-Net-OpenID-Consumer-1.18nb1, Maintainer: pkgsrc-users

This is the Perl API for (the consumer half of) OpenID, a distributed
identity system based on proving you own a URL, which is then your
identity. More information is available at:

http://www.danga.com/openid/


Required to run:
[textproc/p5-XML-Simple] [www/p5-URI] [www/p5-libwww] [lang/perl5] [security/p5-Digest-SHA1] [net/p5-Net-OpenID-Common]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 171c7b4986f39e0529f7570a728e72211b610974
RMD160: ca21468f04b08fd2b7ac03804e343ecffe487fec
Filesize: 57.269 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-07-26 08:20:31 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 1.18

Upstream changes:
1.18      Feb 07 2016

    * Make naive_verify_failed_network message less mysterious in cases where
      provider actually responds but with a non-success status.

    * whitespace changes

1.17      Jan 15 2016

    * Include CGI in test prerequisites since it's not part of perlcore anymore
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-04 01:35:47 by Alistair G. Crooks | Files touched by this commit (748)
Log message:
Add SHA512 digests for distfiles for net category

Problems found with existing digests:
	Package haproxy distfile haproxy-1.5.14.tar.gz
	159f5beb8fdc6b8059ae51b53dc935d91c0fb51f [recorded]
	da39a3ee5e6b4b0d3255bfef95601890afd80709 [calculated]

Problems found locating distfiles:
	Package bsddip: missing distfile bsddip-1.02.tar.Z
	Package citrix_ica: missing distfile citrix_ica-10.6.115659/en.linuxx86.tar.gz
	Package djbdns: missing distfile djbdns-1.05-test25.diff.bz2
	Package djbdns: missing distfile djbdns-cachestats.patch
	Package djbdns: missing distfile 0002-dnscache-cache-soa-records.patch
	Package gated: missing distfile gated-3-5-11.tar.gz
	Package owncloudclient: missing distfile owncloudclient-2.0.2.tar.xz
	Package poink: missing distfile poink-1.6.tar.gz
	Package ra-rtsp-proxy: missing distfile rtspd-src-1.0.0.0.tar.gz
	Package ucspi-ssl: missing distfile ucspi-ssl-0.70-ucspitls-0.1.patch
	Package waste: missing distfile waste-source.tar.gz

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-07-12 20:56:37 by Thomas Klausner | Files touched by this commit (405)
Log message:
Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-02-27 15:35:11 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
(pkgsrc)
 - Drop DEPENDS to p5-Crypt-DH  (See below at 1.030099_001 Nov 06 2010)
 - Add  DEPENDS to p5-Net-OpenID-Common>=1.18 (See 1.15)
(upstream)
 - Update 1.03 to 1.16
-------------------
1.16      Sep 15 2014
1.15      Sep 06 2013
    * Require Net-OpenID-Common 1.18
      in order to pick up patched Crypt::DH::GMP 0.00011 (closes #88460)

1.14      Apr 01 2013
    * Fix uri_escape'ing of UTF-8 attributes (closes #80329)
    * documentation fixes and updated consumer.cgi example (closes #74101)

1.13      Nov 14 2011
1.12      Nov 06 2011
    * Require Net-OpenID-Common 1.13
    * Use/cache Last-modified: as a number, not a raw header string (closes #47349)
    * Pay attention to charset on application/xrds+xml content-type (closes #41310)

1.11      Nov 04 2011
    * Added POD section on Error Codes
    * Fixed bug that could cause VerifiedIdentity->signed_fields
      to be spuriously set to an empty hash
    * Fixed bug where _discover_acceptable_endpoints force_version => 1
      could return version 2 endpoints.

1.100099_002 Nov 02 2011
    * We now do actual checking of responce_nonce (closes #44767).
      Behavior is customizable using Consumer->nonce_options.
      You may want to set 'start' to your (cache/HTTP) server start time.
      The defaults will otherwise do the Right Thing if your cache
      implementation pays attention to the 3rd (expiration)
      argument to set() and can reliably hold onto entries for a
      half hour; otherwise this may need some attention.

      Likewise if you already have better protection against
      replays, in which case you'll want to turn this off.

    * Lots of POD fixes

1.100099_001 Oct 25 2011
  ---------------
  ==> API CHANGE:  Consumer->args(CODEREF)

      CODEREF now needs to be able to also take zero arguments and
      return a list of all URL parameters in the request.

      No change is needed for the other argument types
      (i.e., unblessed hash or CGI/Apache/etc request object)

      (Enumeration is required for check_authentication in OpenID 2.0
      to work properly -- if the list isn't available then we can revert
      to OpenID 1.1 behavior of only sending the signed parameters and
      hope for the best, but be warned that some providers may reject
      this.)
  ---------------
    * HTML parsing routines now reside in Net::OpenID::Common (1.12
      required) which has itself been upgraded to using HTML::Parser.

1.030099_006 Oct 22 2011
  ---------------
  ==> API CHANGE:  Consumer->handle_server_response()

      The 'setup_required' callback is now DEPRECATED but still
      recognized for now for the sake of legacy code.  It may be
      removed in a future release.

      Use 'setup_needed' instead.  This callback
        (1) is invoked in ALL cases where a checkid_immediate mode
            request fails, including those where user_setup_url
            is not supplied, and
        (2) is NOT supplied a user_setup_url parameter
            (you can still use Consumer->user_setup_url as needed)

      Note that in OpenID 2.0, the correct way to handle failure of a
      checkid_immediate mode request is to retry the same request
      again in checkid_setup mode.  user_setup_url is generally not
      meaningful in OpenID 2.0 and therefore CANNOT be relied upon.
  ---------------
  ==> API CHANGE:  Consumer->setup_needed()  [new function]

      Should be used to test for the failed checkid_immediate case
      when not using handle_server_response().

      Testing for user_setup_url() having been set is DEPRECATED and
      will NOT work under OpenID 2.0 since user_setup_url is generally
      not meaningful in 2.0 (even if some 2.0 providers do in fact
      supply it).
  ---------------
    * Handle 2.0 provider-specific 'error' mode responses.
      These currently show up in the 'error' callback
      (errcode == 'provider_error');

    * Remove dependency in ordering of minimum_version() and args()
      setters.  This was a bug that prevented minimum_version from being
      recognized at all.

    * Fix handle_server_response unknown callback error message -- close #58368
    * Handle version 2.0 associations and all session/association types.

      This is customizable using Consumer->assoc_options.
      Most likely you will want to just set 'max_encrypt' and
      'session_no_encrypt_https' true and forget about it.

    * Fix bug in handling of sreg extension under 2.0
      that prevented certain other extensions from being recognized.

    * New co-maintainer (Roger Crew)

1.030099_005 Jan 01 2011
    * Remove calls to util::ejs and util::eurl; use JSON and URI::Escape
      directly (Robert Norris)

1.030099_004 Dec 18 2010
    * Added example CGI program (Robert Norris)
    * Added missing error messages (Mario Domgoergen)

1.030099_003 Nov 09 2010
    * Add namespace to check_authentication signature verification calls to
      fix stateless mode against strict OPs (Robert Norris)

    * Documentation tweaks (Robert Norris)

1.030099_002 Nov 07 2010
    * Fixed a call to OpenID::util::hmac_sha1_hex which no longer exists
      (Robert Norris)

1.030099_001 Nov 06 2010
    * Use Crypt::DH::GMP over Crypt::DH for speed (Robert Norris)
    * Fix potential timing attack when checking signatures (Adam Sj淡gren)
      (see http://lists.openid.net/pipermail/openi … 01156.html)

        * Set sreg namespace based on what the server is expecting
      (Adam Sj淡gren)

        * Moved some utility bits out to a separate Net::OpenID::Common
          package so that Net::OpenID::Server can use it in future
          versions.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.